=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               libcurl4-gnutls-dev,
               libjpeg8-dev,
               libopenal-dev,
               libopus-dev,
               libopusfile-dev,
               libsdl1.2-dev,
               libspeexdsp-dev,
               libvorbis-dev,
               lsb-release
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/ioquake3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/ioquake3.git
Homepage: http://www.ioquake3.org/

Package: ioquake3
Architecture: linux-any kfreebsd-any hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: x11-utils | zenity | kdebase-bin
Breaks: openarena (<< 0.8.8-9~)
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.

Package: ioquake3-server
Architecture: linux-any kfreebsd-any hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: openarena-server (<< 0.8.8-9~)
Description: Standalone server for ioQuake3 based games
 This package installs a modified version of the ioQuake3 dedicated server,
 which can be used to serve various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a usable server, install
 openarena-server or another suitable set of server data.

Package: ioquake3-dbg
Architecture: linux-any kfreebsd-any hurd-any
Section: debug
Priority: extra
Depends: ioquake3 (= ${binary:Version}) | ioquake3-server (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for the ioquake3 game engine
 This package contains debug symbols for the ioQuake3 game engine,
 which can be used to analyze crashes in games that use Debian's shared
 ioquake engine.
