=== debian/watch ===
version=3
http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2

# Note to uploaders: upstream tarballs are not currently DFSG-free. Update and
# use debian/get-orig-source.sh instead.
