=== debian/rules ===
--- 
+++ 
@@ -62,10 +62,10 @@
 ORIG_REPO ?= https://github.com/ioquake/ioq3/
 ORIG_REL = 1.36
 # Empty if upstream ever get round to tagging a release
-ORIG_REV = dde36d9
+ORIG_REV = b099255
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20140116
+ORIG_DATE = 20140319
 # Non-empty for re-repacks (+dfsg2 or something)
 ORIG_SUFFIX =
 
@@ -95,7 +95,7 @@
 	rm -rf ioquake3-${ORIG_VER}.orig/code/SDL12
 	rm -rf ioquake3-${ORIG_VER}.orig/code/tools/lcc
 	rm -rf ioquake3-${ORIG_VER}.orig/code/jpeg-8c
-	rm -rf ioquake3-${ORIG_VER}.orig/code/libcurl
+	rm -rf ioquake3-${ORIG_VER}.orig/code/libcurl*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libogg-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libs
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libspeex
