=== debian/changelog ===
ioquake3 (1.36+u20140802+gca9eebb-2+deb8u2) jessie-security; urgency=medium

  * Add patch from upstream:
    + Address read buffer overflow in
      MSG_ReadBits (CVE-2017-11721) (Closes: #870725)
    + Check buffer boundary exactly in MSG_WriteBits, instead of
      potentially failing with a few bytes still available

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Aug 2017 10:15:49 -0400

ioquake3 (1.36+u20140802+gca9eebb-2+deb8u1) jessie-security; urgency=high

  * d/gbp.conf: switch branch to debian/jessie
  * d/patches: Add patches from upstream fixing security vulnerabilities
     - refuse to load potentially auto-downloadable .pk3 files as
       ioquake3 renderers, ioquake3 game code, libcurl, or OpenAL drivers
       (mitigation: auto-downloading is off by default, and in Debian
       we do not dlopen libcurl anyway)
     - refuse to load default configuration file names from a .pk3 file
     - protect cl_renderer, cl_curllib, s_aldriver configuration variables so
       game code cannot set them
     - refuse to overwrite files other than *.txt with the dump console
       command
     - refuse to overwrite files other than *.cfg with the writeconfig
       console command
     (Closes: #857699; CVE-2017-6903)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 22:29:41 +0000
