=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libcurl4-gnutls-dev,
-               libjpeg8-dev,
+               libjpeg-dev,
                libopenal-dev,
                libopus-dev,
                libopusfile-dev,
