=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,7 @@
 		USE_CODEC_VORBIS=1 \
 		USE_CURL=1 \
 		USE_CURL_DLOPEN=0 \
-		USE_INTERNAL_JPEG=0 \
-		USE_INTERNAL_OGG=0 \
-		USE_INTERNAL_OPUS=0 \
-		USE_INTERNAL_SPEEX=0 \
-		USE_INTERNAL_ZLIB=0 \
+		USE_INTERNAL_LIBS=0 \
 		USE_LOCAL_HEADERS=0 \
 		USE_OPENAL=1 \
 		USE_OPENAL_DLOPEN=0 \
@@ -62,10 +58,10 @@
 ORIG_REPO ?= https://github.com/ioquake/ioq3/
 ORIG_REL = 1.36
 # Empty if upstream ever get round to tagging a release
-ORIG_REV = b099255
+ORIG_REV = ca9eebb
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20140319
+ORIG_DATE = 20140802
 # Non-empty for re-repacks (+dfsg2 or something)
 ORIG_SUFFIX =
 
@@ -99,6 +95,7 @@
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libogg-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libs
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libspeex
+	rm -rf ioquake3-${ORIG_VER}.orig/code/libvorbis-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/opus-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/opusfile-*
 	rm -rf ioquake3-${ORIG_VER}.orig/code/zlib
