=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,16 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export LC_ALL=C.UTF-8
+export TZ=UTC
+
+DEB_CPPFLAGS_MAINT_APPEND := \
+	-DWITH_OPENARENA \
+	$(NULL)
+
+DEB_CFLAGS_MAINT_APPEND := \
+	-fsigned-char \
+	$(NULL)
 
 include /usr/share/dpkg/default.mk
 
@@ -8,8 +19,7 @@
 Q3COMPILE_ARCH     := $(shell $(CURDIR)/debian/q3arch arch     BUILD)
 Q3COMPILE_PLATFORM := $(shell $(CURDIR)/debian/q3arch platform BUILD)
 distro             := $(shell lsb_release -is)
-
-CFLAGS += -fsigned-char -DWITH_OPENARENA $(CPPFLAGS)
+PRODUCT_DATE := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%b %_d %Y")
 
 %:
 	dh $@ --parallel
@@ -20,9 +30,7 @@
 TARGET = debug
 endif
 
-override_dh_auto_build:
-	dh_auto_build \
-		-- \
+OPTIONS := \
 		BR=build \
 		BD=build \
 		V=1 \
@@ -44,11 +52,29 @@
 		BUILD_GAME_SO=1 \
 		BUILD_GAME_QVM=0 \
 		VERSION=$(DEB_VERSION)/$(distro) \
-		CFLAGS="$(CFLAGS)" \
-		$(TARGET)
-	install build/ioq3ded.* build/ioq3ded
-	install build/ioquake3.* build/ioquake3
-	install README.md build/README
+		PRODUCT_DATE='$(PRODUCT_DATE)' \
+		CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
+		NO_STRIP=1 \
+		$(NULL)
+
+override_dh_auto_build:
+	dh_auto_build -- $(OPTIONS) $(TARGET)
+
+override_dh_auto_install: DESTDIR = debian/tmp
+override_dh_auto_install:
+	install -d $(DESTDIR)/usr/lib/ioquake3/baseq3/
+	$(MAKE) copyfiles $(OPTIONS) COPYDIR=$(DESTDIR)/usr/lib/ioquake3
+	mv $(DESTDIR)/usr/lib/ioquake3/ioquake3.* $(DESTDIR)/usr/lib/ioquake3/ioquake3
+	mv $(DESTDIR)/usr/lib/ioquake3/ioq3ded.* $(DESTDIR)/usr/lib/ioquake3/ioq3ded
+	install -m644 README.md build/README
+	install -d $(DESTDIR)/usr/lib/quake3/base/baseq3/
+	install -d $(DESTDIR)/usr/lib/quake3/demo/demoq3/
+	install -d $(DESTDIR)/usr/lib/quake3/ta/baseq3/
+	install -d $(DESTDIR)/usr/lib/quake3/ta/missionpack/
+	cd $(DESTDIR)/usr/lib/quake3/base/baseq3 && ln -s ../../../ioquake3/baseq3/*.so .
+	cd $(DESTDIR)/usr/lib/quake3/demo/demoq3 && ln -s ../../../ioquake3/baseq3/*.so .
+	cd $(DESTDIR)/usr/lib/quake3/ta/baseq3 && ln -s ../../../ioquake3/baseq3/*.so .
+	cd $(DESTDIR)/usr/lib/quake3/ta/missionpack && ln -s ../../../ioquake3/missionpack/*.so .
 
 override_dh_strip:
 	dh_strip --dbg-package=ioquake3-dbg
@@ -57,13 +83,12 @@
 
 ORIG_REPO ?= https://github.com/ioquake/ioq3/
 ORIG_REL = 1.36
-# Empty if upstream ever get round to tagging a release
-ORIG_REV = ca9eebb
+# Empty if packaging a tagged release
+ORIG_REV = 1bb2bc370d250101baf048a6edd1cc349aa996e9
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20140802
-# Non-empty for re-repacks (+dfsg2 or something)
-ORIG_SUFFIX =
+ORIG_DATE = 20150710
+ORIG_SUFFIX = +dfsg1
 
 ifeq (${ORIG_REV},)
 	# I have no idea what tags are going to look like, because there
@@ -74,10 +99,7 @@
 	# I'd use "+gitsomething", but that sorts earlier than
 	# "+svn1788", and "++gitsomething" is really ugly. +u sorts later,
 	# and can be justified as short for "upstream".
-	# "+g" because "+u20130426.gfffffff" sorts later than
-	# "+u20130426.1.gfffffff", whereas "+u20130426+gfffffff"
-	# sorts earlier than "+u20130426.1+gfffffff" as desired.
-	ORIG_VER := ${ORIG_REL}+u${ORIG_DATE}+g${ORIG_REV}${ORIG_SUFFIX}
+	ORIG_VER := ${ORIG_REL}+u${ORIG_DATE}${ORIG_SUFFIX}
 	ORIG_EXPORT := ${ORIG_REV}
 endif
 
@@ -89,6 +111,7 @@
 		${ORIG_EXPORT} | tar -xvf-
 	rm -rf ioquake3-${ORIG_VER}.orig/code/AL
 	rm -rf ioquake3-${ORIG_VER}.orig/code/SDL12
+	rm -rf ioquake3-${ORIG_VER}.orig/code/SDL2
 	rm -rf ioquake3-${ORIG_VER}.orig/code/tools/lcc
 	rm -rf ioquake3-${ORIG_VER}.orig/code/jpeg-8c
 	rm -rf ioquake3-${ORIG_VER}.orig/code/libcurl*
