=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,6 @@
 
 include /usr/share/dpkg/default.mk
 
-Q3ARCH             := $(shell $(CURDIR)/debian/q3arch arch     HOST)
-Q3PLATFORM         := $(shell $(CURDIR)/debian/q3arch platform HOST)
-Q3COMPILE_ARCH     := $(shell $(CURDIR)/debian/q3arch arch     BUILD)
-Q3COMPILE_PLATFORM := $(shell $(CURDIR)/debian/q3arch platform BUILD)
-distro             := $(shell lsb_release -is)
 PRODUCT_DATE := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%b %_d %Y")
 
 %:
@@ -43,17 +38,15 @@
 		USE_OPENAL=1 \
 		USE_OPENAL_DLOPEN=0 \
 		USE_VOIP=1 \
-		ARCH=$(Q3ARCH) \
-		PLATFORM=$(Q3PLATFORM) \
-		COMPILE_ARCH=$(Q3COMPILE_ARCH) \
-		COMPILE_PLATFORM=$(Q3COMPILE_PLATFORM) \
+		$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
 		BUILD_CLIENT_SMP=1 \
 		DEFAULT_BASEDIR=/usr/lib/ioquake3 \
 		BUILD_GAME_SO=1 \
 		BUILD_GAME_QVM=0 \
-		VERSION=$(DEB_VERSION)/$(distro) \
+		VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
 		PRODUCT_DATE='$(PRODUCT_DATE)' \
 		CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
+		FULLBINEXT="" \
 		NO_STRIP=1 \
 		$(NULL)
 
@@ -64,8 +57,6 @@
 override_dh_auto_install:
 	install -d $(DESTDIR)/usr/lib/ioquake3/baseq3/
 	$(MAKE) copyfiles $(OPTIONS) COPYDIR=$(DESTDIR)/usr/lib/ioquake3
-	mv $(DESTDIR)/usr/lib/ioquake3/ioquake3.* $(DESTDIR)/usr/lib/ioquake3/ioquake3
-	mv $(DESTDIR)/usr/lib/ioquake3/ioq3ded.* $(DESTDIR)/usr/lib/ioquake3/ioq3ded
 	install -m644 README.md build/README
 	install -d $(DESTDIR)/usr/lib/quake3/base/baseq3/
 	install -d $(DESTDIR)/usr/lib/quake3/demo/demoq3/
@@ -84,10 +75,10 @@
 ORIG_REPO ?= https://github.com/ioquake/ioq3/
 ORIG_REL = 1.36
 # Empty if packaging a tagged release
-ORIG_REV = 1bb2bc370d250101baf048a6edd1cc349aa996e9
+ORIG_REV = 558da2527725fff521bbd3a6d341c606d395d92a
 # Use the date of the ORIG_REV, or 20130426.1 if you snapshot twice in a day,
 # or empty if ORIG_REV is
-ORIG_DATE = 20150710
+ORIG_DATE = 20160122
 ORIG_SUFFIX = +dfsg1
 
 ifeq (${ORIG_REV},)
@@ -125,3 +116,9 @@
 	tar --xz -cvf ioquake3_${ORIG_VER}.orig.tar.xz ioquake3-${ORIG_VER}.orig
 	rm -rf ioquake3-${ORIG_VER}.orig
 	rm -rf ioquake3-${ORIG_VER}.git
+
+# to be invoked from a git checkout with upstream github as a remote;
+# tarball ends up in ../build-area
+maintainer-get-orig-source:
+	$(MAKE) -f debian/rules get-orig-source ORIG_REPO=$$(pwd)/.git
+	mv -i -v ioquake3_${ORIG_VER}.orig.tar.xz ../build-area/
