=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,5 @@
 version=3
+opts=dversionmangle=s/(\+u[0-9]+\+g[a-f0-9]+)?\+(dfsg|ds)[0-9]+$// \
 http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2
 
 # Note to uploaders: upstream tarballs are not currently DFSG-free. Update and
